Does the Robomow App 3.0 work with every Robomow model?

Follow

Comments

1 comment

  • Avatar
    Colin Crook

    So App version 3.0 is not compatible with RC models! Are the RC models still being supported?
    Or have we been abandoned for any improvements?

    0
    Comment actions Permalink

Please sign in to leave a comment.

Can't find what you're looking for?

Let us help you!

Submit a request